### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ServiceConfigUninstaller

java.lang.Object
com.sas.services.deployment.ServiceConfigUninstaller

@SASScope("ALL") @BinaryCompatibilityOnly public final class ServiceConfigUninstaller extends Object
Application used to uninstall an application's configuration from a SAS Foundation Service.

Since:
  9.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`
  Main method for an application used to uninstall an application's service configuration from a SAS Foundation Service.
  `static void`
  `uninstallConfig(String[] args)`
  Main method for an application used to uninstall an application's service configuration from a SAS Foundation Service.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### main

    public static void main(String[] args)
    Main method for an application used to uninstall an application's service configuration from a SAS Foundation Service. Command line options used to run this application are summarized below.

    ## SAS Foundation Service

    When removing an application's configuration from a SAS Foundation Service, one must identify the service by specifying its name, its group name, and the name of its deployment. An application name must also be specified to indicate the configuration's resources which are to be uninstalled.

    SAS Foundation Service Command Line Options
    SAS Foundation Services
    Option | Description
    --- | ---
    `-serviceDeploymentName` | Name of the SAS Foundation Services deployment (SoftwareComponent.Name)
    `-serviceGroupName` | Name of the service deployment group ( `Tree.Name`) that contains the SAS Foundation Service (ServiceComponent)
    `-serviceName` | Name of the SAS Foundation Service (ServiceComponent.Name) that is defined in the group in the deployment
    `-serviceApplication` | The name of the application whose layered service configuration is to be uninstalled from the SAS Foundation Service
    `-isRemoveUnusedResources` | Optional argument which may be used to delete all service configuration resources which become unused as a result of removing an application's configuration. Set this argument to "true" to remove unused resources.

    ## Metadata Server

    One must specify the SAS Metadata Server and the desired connection approach.

    Parameters:
      `args` - Command line arguments specifying how to connect to the metadata server, whether a login credential or SSPI is used, the configuration directory for the services deployment and the name of the application whose service configurations are to be installed or uninstalled.
      - -metaserver <server>
      - -metaport <port>
      - -metarepository <repository>
      - -serviceDeploymentName <serviceDeploymentName>
      - -serviceGroupName <serviceGroupName>
      - -serviceName <serviceName>
      - -serviceApplication <serviceApplication>
      - Connection
        - using a Login Credential
          - -metauser <userID>
          - -metapass <password> or -password_on_stdin true (and specify -metapass via System.in)
        - using SSPI
          - -secpackagelist <secpackagelist>
          - -metaspn <spn> (optional)

      One may optionally specify whether an option prompt is presented by specifying the command line option `-isPrompting <true|false>`

    Since:
      9.2

  - ### uninstallConfig

    public static void uninstallConfig(String[] args) throws ServiceException
    Main method for an application used to uninstall an application's service configuration from a SAS Foundation Service. Command line options used to run this application are summarized below.

    ## SAS Foundation Service

    When removing an application's configuration from a SAS Foundation Service, one must identify the service by specifying its name, its group name, and the name of its deployment. An application name must also be specified to indicate the configuration's resources which are to be uninstalled.

    SAS Foundation Service Command Line Options
    SAS Foundation Services
    Option | Description
    --- | ---
    `-serviceDeploymentName` | Name of the SAS Foundation Services deployment (SoftwareComponent.Name)
    `-serviceGroupName` | Name of the service deployment group ( `Tree.Name`) that contains the SAS Foundation Service (ServiceComponent)
    `-serviceName` | Name of the SAS Foundation Service (ServiceComponent.Name) that is defined in the group in the deployment
    `-serviceApplication` | The name of the application whose layered service configuration is to be uninstalled from the SAS Foundation Service
    `-isRemoveUnusedResources` | Optional argument which may be used to delete all service configuration resources which become unused as a result of removing an application's configuration. Set this argument to "true" to remove unused resources.

    ## Metadata Server

    One must specify the SAS Metadata Server and the desired connection approach.

    Parameters:
      `args` - Command line arguments specifying how to connect to the metadata server, whether a login credential or SSPI is used, the configuration directory for the services deployment and the name of the application whose service configurations are to be installed or uninstalled.
      - -metaserver <server>
      - -metaport <port>
      - -metarepository <repository>
      - -serviceDeploymentName <serviceDeploymentName>
      - -serviceGroupName <serviceGroupName>
      - -serviceName <serviceName>
      - -serviceApplication <serviceApplication>
      - Connection
        - using a Login Credential
          - -metauser <userID>
          - -metapass <password> or -password_on_stdin true (and specify -metapass via System.in)
        - using SSPI
          - -secpackagelist <secpackagelist>
          - -metaspn <spn> (optional)

      One may optionally specify whether an option prompt is presented by specifying the command line option `-isPrompting <true|false>`

    Throws:
      `ServiceException` - if unable to uninstall the service's configuration.
    Since:
      9.2